<?php
require '../conexao/conexao.php';
require '../configuacoes.php';
// Obter os dados do formulário
$id_funcionario = $_POST['id_funcionario'] ?? null;
$id_erro = $_POST['id_erro'] ?? null;
$obs_erro = $_POST['obs_erro'] ?? null;

// Verifica se todos os dados necessários estão presentes
if (!is_null($id_funcionario) && !is_null($id_erro)) {
    // Cria a data atual no formato de data e hora do MySQL
    $data_lancamento = date('Y-m-d H:i:s');

    // Insere os dados na tabela mapa_erros_lancados
    $stmt_insercao = $connectionmysql->prepare("INSERT INTO mapa_erros_lancados (id_erro, id_funcionario, data_lancamento, obs_erro) VALUES (?, ?, ?, ?)");

    // Bind dos parâmetros
    $stmt_insercao->bind_param("iiss", $id_erro, $id_funcionario, $data_lancamento, $obs_erro);

    // Executa a inserção
    $stmt_insercao->execute();

    // Verifica se a inserção foi bem-sucedida
    if ($stmt_insercao->affected_rows > 0) {
        header("Location: index.php?status=sucesso");
        exit;
    } else {
        echo "Erro ao inserir os dados.";
    }

    // Fecha a instrução de inserção
    $stmt_insercao->close();
} else {
    echo "Dados insuficientes para realizar a inserção.";
}

// Fecha a conexão com o banco de dados
$connectionmysql->close();
?>
